Skip to main content
POST
/
v1
/
submerchants
/
{id}
/
document
Upload submerchant documents
curl --request POST \
  --url https://api-global.fastpaybrasil.com/v1/submerchants/{id}/document \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: multipart/form-data' \
  --form cnpj_card='@example-file' \
  --form social_contract='@example-file' \
  --form responsible_document_front='@example-file' \
  --form responsible_document_back='@example-file' \
  --form selfie_with_document='@example-file'
{
  "statusCode": 401,
  "message": "Unauthorized"
}

Authorizations

Authorization
string
header
required

HTTP Basic authentication. Use your secret key as the username and an empty string as password. The API key should be base64 encoded in the format 'username:' when sending the Authorization header.

Path Parameters

id
string
required

Unique identifier of the merchant.

Example:

"36OO3bcGjhPjjF3tzrqOGcmQuKo"

Body

multipart/form-data
cnpj_card
file

CNPJ registration card.

social_contract
file

Company social contract document.

responsible_document_front
file

Front image of the legal representative document.

responsible_document_back
file

Back image of the legal representative document.

selfie_with_document
file

Selfie of the legal representative holding the document.

Response

Successfully uploaded documents